<div class="container">
  <div class="row no-gutters">
    <div class="col-xs-12 nopadding">
      <mat-spinner class="spinning" *ngIf="loading"></mat-spinner>

      <mat-card appearance="outlined" *ngIf="!loading">
        <div class="row-inverted">
          <div class="clear"></div>
          <div class="row">
            <div class="col-md-11 guide"></div>
            <div class="col-md-1 guide"><a class="actions" matTooltip="{{lang.getDictionary('Guida')}}" (click)="openGuida()"><i class="fa fa-info-circle fa-lg" aria-hidden="true"></i></a></div> 
          </div>
          <div class="title">BUYING LIST</div>
          <div class="clear"></div>
          <div class="row">
            <div class="col-md-6">
              <mat-form-field class="full-width">
                <mat-label>{{lang.getDictionary("SelectAC")}}</mat-label>
                <mat-select [(ngModel)]="acID">
                  <mat-option *ngFor="let ac of allAC" [value]="ac.ID" (click)="selectedAC(ac)">{{getACName(ac.Description)}}</mat-option>
                </mat-select>
            </mat-form-field>
            </div>
            <div class="col-md-6">
              <mat-form-field class="full-width">
                <mat-label>{{lang.getDictionary("SelectDate")}}</mat-label>
                <mat-select [disabled]="BiCList.length == 0" [(ngModel)]="bicDate">
                  <mat-option *ngFor="let bic of BiCList" [value]="formatDate(bic.Date)" (click)="selectedBiC(bic)">
                    {{formatDate(bic.Date)}}
                  </mat-option>
                </mat-select>
              </mat-form-field>
              <div class="clear"></div>
              <div class="alert alert-danger" role="alert" *ngIf="BiCList.length == 0 && isSelected">{{lang.getDictionary("NoBiC")}}</div>
            </div>
          </div>

          <div *ngIf="!hide">
            <div class="title">{{lang.getDictionary("Titoli")}}</div>
            <div class="clear"></div>
            <table mat-table [dataSource]="tblElem" *ngIf="selected.FidaCodes.length>0"> 
            <ng-container matColumnDef="Status">
              <th mat-header-cell *matHeaderCellDef></th>
              <td mat-cell *matCellDef="let row" class="icon">
                <i class="fa fa-plus" aria-hidden="true" style="color:green;" *ngIf="row.Status == 1"></i>
                <span class="fa-equal" aria-hidden="true" style="color:gray;" *ngIf="row.Status == 0">=</span>
                <i class="fa fa-minus" aria-hidden="true" style="color:red;" *ngIf="row.Status == -1"></i>
              </td>
            </ng-container>    
            <ng-container matColumnDef="NAME">
              <th mat-header-cell *matHeaderCellDef>{{lang.getDictionary("Nome")}}</th>
              <td mat-cell *matCellDef="let row"><a href="{{getDetailUrl(row.FIDA_CODE)}}" target="_blank">{{row.NAME}}</a></td>
            </ng-container>  
            <ng-container matColumnDef="BFC_CAT_NAME">
              <th mat-header-cell *matHeaderCellDef>{{lang.getDictionary("FidaCat")}}</th>
              <td mat-cell *matCellDef="let row">{{row.BFC_CAT_NAME}}</td>
            </ng-container>   
            <ng-container matColumnDef="RATING_IMG">
              <th mat-header-cell *matHeaderCellDef class="center">Rating</th>
              <td mat-cell *matCellDef="let row" class="center">                
                <div *ngIf="row.BFC_RATING_36M > 0" [innerHTML]="row.BFC_RATING_36M | ratingpipe: { type : 'icon-Corona_FIDA' }"></div>
              </td>
            </ng-container>   
            <ng-container matColumnDef="RISK_GRADE">
              <th mat-header-cell *matHeaderCellDef class="right">{{lang.getDictionary("Risk")}}</th>
              <td mat-cell *matCellDef="let row" class="right">{{row.RISK_GRADE}}</td>
            </ng-container>   
            <ng-container matColumnDef="SHARPE_3Y_EUR">
              <th mat-header-cell *matHeaderCellDef class="right">{{lang.getDictionary("Sharpe")}}</th>
              <td mat-cell *matCellDef="let row" class="right">{{row.SHARPE_3Y_EUR}}</td>
            </ng-container>   
            <ng-container matColumnDef="PERF_1Y_EUR">
              <th mat-header-cell *matHeaderCellDef class="right">{{lang.getDictionary("Perf1")}}</th>
              <td mat-cell *matCellDef="let row" class="right">{{row.PERF_1Y_EUR}}</td>
            </ng-container>   
            <ng-container matColumnDef="PERF_3Y_EUR">
              <th mat-header-cell *matHeaderCellDef class="right">{{lang.getDictionary("Perf3")}}</th>
              <td mat-cell *matCellDef="let row" class="right">{{row.PERF_3Y_EUR}}</td>
            </ng-container>   
            <ng-container matColumnDef="STD_DEV_3Y_EUR">
              <th mat-header-cell *matHeaderCellDef class="right">{{lang.getDictionary("Vol3")}}</th>
              <td mat-cell *matCellDef="let row" class="right">{{row.STD_DEV_3Y_EUR}}</td>
            </ng-container>               
              <tr mat-header-row *matHeaderRowDef="columns"></tr>
              <tr mat-row *matRowDef="let row; columns: columns;"></tr>
          </table>
          <div class="clear"></div>
          <div class="legend">
            <div class="row">
              <i class="fa fa-plus" aria-hidden="true" style="color:green;"></i> {{lang.getDictionary("Added")}}
            </div>
            <div class="row">
              <span class="fa-equal" aria-hidden="true" style="color:gray;">=</span> {{lang.getDictionary("Equal")}}
            </div>
            <div class="row">
              <i class="fa fa-minus" aria-hidden="true" style="color:red;"></i> {{lang.getDictionary("Removed")}}
            </div>
          </div>

          <div class="clear"></div>
          <div class="title">{{lang.getDictionary("Note")}}</div>
          <div class="clear"></div>
          {{note}}
          <div class="clear"></div>
          <div class="alert alert-danger" role="alert" *ngIf="selected.FidaCodes.length==0">{{lang.getDictionary("NoStrum")}} </div>
          </div>
        </div>
      </mat-card>

    </div>
  </div>
</div>